#!/bin/sh
#
# SquidGuard Interface version 3.3fr for SME5/6.0
# 
# This program is FREEWARE.  You may modify and distribute
# the software freely.  However, if you modify it, please
# remember to give credit to the author.
#
# Traduction et modification par Spox31
# Modification par Francois Audirac <francois@webaf.net>
#

echo
echo "Interface version 3.3fr du Filtre SquidGuard (5 Avril 2004)"
echo
echo "Installation des fichiers RPM pour SquidGuard..."
rpm -Uvh rpm/BerkleyDB*
rpm -Uvh rpm/squidGuard-1.1*
rpm -Uvh rpm/e-smith-squidGuard-0.2-3.noarch.rpm
rpm -Uvh rpm/e-smith-transproxy*
rpm -Uvh rpm/e-smith-squidGuard-db*
#
# Suppression des fichiers models par defaut
#
rm -Rf /etc/e-smith/templates/usr/local/squidGuard/squidGuard.conf/*
echo
echo "Installation des fichiers pour l interface..."
cp -dfpvR etc/* /etc/
cp -dfpvR home/* /home/
cp -dfpvR usr/* /usr/
chmod 754 /etc/e-smith/web/functions/squidguard
chgrp admin /etc/e-smith/web/functions/squidguard
echo
echo "Configuration du systeme..."
#
# Si le fichier de configuration pour Squidguard existe (rc.local)
# Nous voulons l'enlever d'abord pour viter les lignes redondente.
#
cp -dfpv /etc/rc.d/rc.local /etc/rc.d/backup_rc.local
cat /etc/rc.d/rc.local | grep -v "squidGuard" > /etc/rc.d/rc.local
#
# Maintenant nous allons ajouter la config de Squidguard
# au fichier rc.local
#
cat variables/rc.local.patch >> /etc/rc.d/rc.local
#
# Creation de quelques liens symboliques...
#
ln -s /etc/e-smith/web/functions/squidguard /etc/e-smith/web/panels/manager/cgi-bin
ln -s /usr/local/squidGuard/db/trusted /home/e-smith/squidguard
ln -s /usr/local/squidGuard/db/untrusted /home/e-smith/squidguard
ln -s /usr/local/squidGuard/log/squidGuard.log /var/log
echo
echo "Initialisation de SquidGuard 3.3fr (Merci de patienter)..."
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/sbin/e-smith/signal-event console-save
/usr/local/squidGuard/setacls
/usr/local/squidGuard/supdate
cp -f blocked.cgi /home/e-smith/files/primary/cgi-bin/
echo
echo "Installation Complete de SquidGuard 3.3fr ."
echo "Vous devez redemarrer le serveur maintenant !"
echo
